import numpy as np
import sys,pdb
import math as m


# chi-square function in nu degrees of freedom
def ptdnu(x,nu):
	val = nu*(nu*x/2.)**(nu/2.-1)/(2*m.gamma(nu/2.))
	val *= np.exp(-nu*x/2.)
	return val

# corresponding distribution for y = log(x) if x is distributed according to a chi-square function
# in nu degrees of freedom
def ptdnu_log(y,nu):
	x = np.exp(y)
	return x*ptdnu(x,nu)



M = np.loadtxt(sys.argv[1])
nufit = float(sys.argv[2])
yvals = M[:,0]

print '# y   ptd_nufit'
for i in range(len(yvals)):
	fval = ptdnu_log(yvals[i],nufit)
	print ' %8.8e '*2 % (yvals[i],fval)